gnutls_certificate_set_ocsp_status_request_file(3)

NAME
gnutls_certificate_set_ocsp_status_request_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_ocsp_status_request_file(gnutls_certificate_credentials_t sc, const char * response_file, unsigned int flags);

ARGUMENTS

gnutls_certificate_credentials_t sc
    -- undescribed --

const char * response_file
    a filename of the OCSP response

unsigned int flags
    should be zero

DESCRIPTION
This function sets the filename of an OCSP response, that will be sent to the client if requests an OCSP certificate status. This is a convenience function which is inefficient on busy servers since the file is opened on every access. Use gnutls_certificate_set_ocsp_status_request_function() to fine-tune file accesses.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/